searchNodes=[{"doc":"This package implements a low-level REST API of the Coinbase Pro. Low-level means it is just a wrapper over HTTP library which handles authentication, request signing and has a few nice helper functions but you still have to construct URLs and interpret responses on your own.If you want to use a high-level API, see elixir-coinbase/coinbasepro.InstallationIf available in Hex, the package can be installed by adding coinbasepro_rest to your list of dependencies in mix.exs:def deps do [ {:coinbasepro_rest, &quot;~&gt; 1.0&quot;} ] endAdditional dependenciesAs it uses Tesla underneath, you have to follow its installation instructions. Specifically, you have to install JSON library and you probably should install a HTTP client library as default HTTP client based on httpc does not validate SSL certificates.For example, add Jason and Hackney to the dependencies in mix.exs:defp deps do [ {:hackney, &quot;~&gt; 1.16.0&quot;}, {:jason, &quot;&gt;= 1.0.0&quot;} ] endConfigure default adapter in config/config.exs (optional).config :tesla, adapter: Tesla.Adapter.HackneySee Tesla's README for list of supported HTTP and JSON libraries.ConfigurationBase URLBy default, the API sends requests to the production API. If you want to use Sandbox, you can add the following to the config/config.exs:config :coinbasepro_rest, :base_url, &quot;https://api-public.sandbox.pro.coinbase.com&quot;User AgentIt is a good idea to override the default value of the User-Agent header added to the requests to something that clearly identifies your application name and version. If you want to do this, you can add the following to the config/config.exs:config :coinbasepro_rest, :user_agent, &quot;MyApp/1.0.0&quot;UsageIn order to issue GET requestalias Coinbase.Pro.REST.{Context,Request} # Obtain these values from Coinbase context = %Context{key: &quot;...&quot;, secret: &quot;...&quot;, passphrase: &quot;...&quot;} {:ok, response} = Request.get(context, &quot;/orders?limit=10&quot;) {:ok, response} = Request.post(context, &quot;/deposits/payment-method&quot;, %{ &quot;amount&quot;: 10.00, &quot;currency&quot;: &quot;USD&quot;, &quot;payment_method_id&quot;: &quot;bc677162-d934-5f1a-968c-a496b1c1270b&quot; })DocumentationThe docs can be found at https://hexdocs.pm/coinbasepro_rest.LicenseMITAuthorsMarcin Lewandowski","ref":"Coinbase.Pro.REST.html","title":"Coinbase.Pro.REST","type":"module"},{"doc":"This module is currently responsible for storing authentication information used to issue requests.","ref":"Coinbase.Pro.REST.Context.html","title":"Coinbase.Pro.REST.Context","type":"module"},{"doc":"","ref":"Coinbase.Pro.REST.Context.html#t:t/0","title":"Coinbase.Pro.REST.Context.t/0","type":"type"},{"doc":"Module responsible for wrapping logic of the HTTP requests issues to the Coinbase Pro API.Examplealias Coinbase.Pro.REST.{Context,Request} # Obtain these values from Coinbase context = %Context{key: &quot;...&quot;, secret: &quot;...&quot;, passphrase: &quot;...&quot;} {:ok, response} = Request.get(context, &quot;/orders?limit=10&quot;)","ref":"Coinbase.Pro.REST.Request.html","title":"Coinbase.Pro.REST.Request","type":"module"},{"doc":"Issues a signed GET request to the Coinbase Pro REST API.On success it returns {:ok, response} where response is a Response struct.On error it returns either {:error, {:http, reason}} when underlying HTTP call has failed or {:error, {:code, code, body}} when the HTTP call suceeded but it returned unexpected status code.","ref":"Coinbase.Pro.REST.Request.html#get/3","title":"Coinbase.Pro.REST.Request.get/3","type":"function"},{"doc":"Works similarly to get/3 but issues multiple requests to handle pagination and fetch the whole collection.","ref":"Coinbase.Pro.REST.Request.html#get_all/3","title":"Coinbase.Pro.REST.Request.get_all/3","type":"function"},{"doc":"Issues a signed POST request to the Coinbase Pro REST API.On success it returns {:ok, response} where response is a Response struct.On error it returns either {:error, {:http, reason}} when underlying HTTP call has failed or {:error, {:code, code, body}} when the HTTP call suceeded but it returned unexpected status code.","ref":"Coinbase.Pro.REST.Request.html#post/4","title":"Coinbase.Pro.REST.Request.post/4","type":"function"},{"doc":"Module responsible for wrapping responses from the API.","ref":"Coinbase.Pro.REST.Response.html","title":"Coinbase.Pro.REST.Response","type":"module"},{"doc":"","ref":"Coinbase.Pro.REST.Response.html#t:t/0","title":"Coinbase.Pro.REST.Response.t/0","type":"type"}]